Package com.documentum.fc.client

# Interface IDfLoadRecord

All Superinterfaces:
  `IDfPersistentObject`, `IDfTypedObject`

public interface IDfLoadRecord extends IDfPersistentObject
Interface for getting and setting values for dm_load_record objects.

Since:
  6.0

- ## Field Summary

  ### Fields inherited from interface com.documentum.fc.client.IDfPersistentObject

  `CURRENCY_CHECK_ALWAYS, CURRENCY_CHECK_FIRST_ACCESS, CURRENCY_CHECK_NEVER, CURRENCY_CHECK_ONCE_PER_SCOPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IDfTime`
  `getEndTime()`
  `String`
  `getLoadFileName()`
  `String`
  `getLoadOperation()`
  `String`
  `getLoadParameter(int index)`
  `String`
  `getLoadType(int index)`
  `String`
  `getOffset()`
  `int`
  `getPosition()`
  `String`
  `getPredicate(int index)`
  `IDfTime`
  `getStartTime()`
  `boolean`
  `isFirstPhase()`
  `boolean`
  `isRelocate()`
  `void`
  `setLoadFileName(String value)`
  `void`
  `setLoadOperation(String value)`
  `void`
  `setLoadParameter(int index, String value)`
  `void`
  `setLoadType(int index, String value)`
  `void`
  `setPredicate(int index, String value)`
  `void`
  `setRelocate(boolean value)`

  ### Methods inherited from interface com.documentum.fc.client.IDfPersistentObject

  `addChildRelative, addParentRelative, apiExec, apiGet, apiSet, destroy, fetch, fetchWithCaching, getAttrAssistance, getAttrAssistanceWithValues, getAttrAsstDependencies, getChildRelatives, getParentRelatives, getPartition, getType, getValidator, getVStamp, getWidgetType, isDeleted, isDirty, isInstanceOf, isNew, isReplica, lock, lockEx, registerEvent, removeChildRelative, removeParentRelative, revert, save, setPartition, signoff, unRegisterEvent, unRegisterEventEx, validateAllRules, validateAttrRules, validateAttrRulesWithValue, validateAttrRulesWithValues, validateObjRules, validateObjRulesWithValues`

  ### Methods inherited from interface com.documentum.fc.client.IDfTypedObject

  `appendBoolean, appendDouble, appendId, appendInt, appendString, appendTime, appendValue, dump, enumAttrs, findAttrIndex, findBoolean, findDouble, findId, findInt, findString, findTime, findValue, getAllRepeatingStrings, getAttr, getAttrCount, getAttrDataType, getBoolean, getDouble, getId, getInt, getLong, getObjectId, getObjectSession, getOriginalSession, getRepeatingBoolean, getRepeatingDouble, getRepeatingId, getRepeatingInt, getRepeatingLong, getRepeatingString, getRepeatingTime, getRepeatingValue, getSession, getSessionManager, getString, getTime, getValue, getValueAt, getValueCount, hasAttr, insertBoolean, insertDouble, insertId, insertInt, insertString, insertTime, insertValue, isAttrRepeating, isNull, remove, removeAll, setBoolean, setDouble, setId, setInt, setNull, setRepeatingBoolean, setRepeatingDouble, setRepeatingId, setRepeatingInt, setRepeatingString, setRepeatingTime, setRepeatingValue, setSessionManager, setString, setTime, setValue, truncate`

- ## Method Details

  - ### getLoadFileName

    String getLoadFileName() throws DfException
    Throws:
      `DfException`

  - ### setLoadFileName

    void setLoadFileName(String value) throws DfException
    Throws:
      `DfException`

  - ### isRelocate

    boolean isRelocate() throws DfException
    Throws:
      `DfException`

  - ### setRelocate

    void setRelocate(boolean value) throws DfException
    Throws:
      `DfException`

  - ### isFirstPhase

    boolean isFirstPhase() throws DfException
    Throws:
      `DfException`

  - ### getPosition

    int getPosition() throws DfException
    Throws:
      `DfException`

  - ### getStartTime

    IDfTime getStartTime() throws DfException
    Throws:
      `DfException`

  - ### getEndTime

    IDfTime getEndTime() throws DfException
    Throws:
      `DfException`

  - ### getLoadType

    String getLoadType(int index) throws DfException
    Throws:
      `DfException`

  - ### setLoadType

    void setLoadType(int index, String value) throws DfException
    Throws:
      `DfException`

  - ### getPredicate

    String getPredicate(int index) throws DfException
    Throws:
      `DfException`

  - ### setPredicate

    void setPredicate(int index, String value) throws DfException
    Throws:
      `DfException`

  - ### getLoadOperation

    String getLoadOperation() throws DfException
    Throws:
      `DfException`

  - ### setLoadOperation

    void setLoadOperation(String value) throws DfException
    Throws:
      `DfException`

  - ### getLoadParameter

    String getLoadParameter(int index) throws DfException
    Throws:
      `DfException`

  - ### setLoadParameter

    void setLoadParameter(int index, String value) throws DfException
    Throws:
      `DfException`

  - ### getOffset

    String getOffset() throws DfException
    Throws:
      `DfException`